Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client
Class HTTPRequest

    java.lang.Object
      com.google.gwt.user.client.HTTPRequest

Deprecated. As of GWT 1.5, replaced by `RequestBuilder`.

    @Deprecated
    public class HTTPRequest

extends java.lang.Object

This class allows you to make asynchronous HTTP requests to the originating server.

Constructor Summary
`HTTPRequest()` Deprecated.

Method Summary
`static boolean` | `asyncGet(java.lang.String url, ResponseTextHandler handler)` Deprecated. Makes an asynchronous HTTP GET to a remote server.
`static boolean` | `asyncGet(java.lang.String user, java.lang.String pwd, java.lang.String url, ResponseTextHandler handler)` Deprecated. Makes an asynchronous HTTP GET to a remote server.
`static boolean` | `asyncPost(java.lang.String url, java.lang.String postData, ResponseTextHandler handler)` Deprecated. Makes an asynchronous HTTP POST to a remote server.
`static boolean` | `asyncPost(java.lang.String user, java.lang.String pwd, java.lang.String url, java.lang.String postData, ResponseTextHandler handler)` Deprecated. Makes an asynchronous HTTP POST to a remote server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTTPRequest

    public HTTPRequest()

  Deprecated.

Method Detail

### asyncGet

    public static boolean asyncGet(java.lang.String url,
                                   ResponseTextHandler handler)

  Deprecated.
  Makes an asynchronous HTTP GET to a remote server.

  Parameters:
    `url` - the absolute url to GET
    `handler` - the response handler to be notified when either the request fails, or is completed successfully
  Returns:
    `false` if the invocation fails to issue

### asyncGet

    public static boolean asyncGet(java.lang.String user,
                                   java.lang.String pwd,
                                   java.lang.String url,
                                   ResponseTextHandler handler)

  Deprecated.
  Makes an asynchronous HTTP GET to a remote server.

  Parameters:
    `url` - the absolute url to GET
    `handler` - the response handler to be notified when either the request fails, or is completed successfully
  Returns:
    `false` if the invocation fails to issue

### asyncPost

    public static boolean asyncPost(java.lang.String url,
                                    java.lang.String postData,
                                    ResponseTextHandler handler)

  Deprecated.
  Makes an asynchronous HTTP POST to a remote server.

  Parameters:
    `url` - the absolute url to which the POST data is delivered
    `postData` - the data to post
    `handler` - the response handler to be notified when either the request fails, or is completed successfully
  Returns:
    `false` if the invocation fails to issue

### asyncPost

    public static boolean asyncPost(java.lang.String user,
                                    java.lang.String pwd,
                                    java.lang.String url,
                                    java.lang.String postData,
                                    ResponseTextHandler handler)

  Deprecated.
  Makes an asynchronous HTTP POST to a remote server.

  Parameters:
    `url` - the absolute url to which the POST data is delivered
    `postData` - the data to post
    `handler` - the response handler to be notified when either the request fails, or is completed successfully
  Returns:
    `false` if the invocation fails to issue

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD